export interface Coperation {
  Name: string;
  Code: string;
  Sector: string;
  Product: string;
  ListingDay: string;
  ClosingMonth: string;
  Representative: string;
  Homepage: string;
  AddressArea: string;
  LastUpdate: string;
}

export interface PageCorpsInfo {
  name: string;
  description: string;
  corpListByDate: Record<string, Coperation[]>;
}

export interface CorpSimple {
  code: string;
  name: string;
}

export async function fetchPageInfo(pageName: string): Promise<PageCorpsInfo>{
    const res = await fetch("/api/pages/" + encodeURIComponent(pageName));
    return await res.json();
}

export async function fetchKospiList(): Promise<CorpSimple[]>{
    const res = await fetch("/api/kospi");
    return await res.json();
}

export async function fetchKosdaqList(): Promise<CorpSimple[]> {
    const res = await fetch("/api/kosdaq");
    return await res.json();
}